<?php

  include 'dbcon.php';

  $post = file_get_contents('php://input');

  $API_KEY = 'db027fa8734de819aa9cad962b7db931';
  $PASSWORD = 'b2f78b44a6c2df378d343d74a2d59ad6';
  $STORE_URL = 'the-garden-of-vegan-au.myshopify.com';

  $AUTHORIZATION = base64_encode($API_KEY . ':' . $PASSWORD);

  $post_data = json_decode($post, true);
  $order_id = $post_data['id'];

  //EMAIL variables
  $order_number = $post_data['number'];
  $order_status_url = $post_data['order_status_url'];
  $order_Email = $post_data['customer']['email'];
  $order_Name = $post_data['customer']['first_name'];
  $shipping_Type = $post_data['shipping_lines'][0]['title'];

  $customerID = $post_data['customer']['id'];

  $newTags = $post_data['tags'];

  $orderUpdateURL = "/admin/api/2019-04/orders/$order_id.json";

  $order_date = $post_data['created_at'];

  $cutOffDate = "";

  $order_date_norm = new DateTime($order_date);
  $order_date_norm = $order_date_norm->format('Y-m-d');

  $order_shipping_type = $post_data['shipping_lines'][0]['title'];
  $order_tags = $post_data['tags'];
  $new_delivery_date = '';
  $cutTime = "3:00PM";

  $timezone = 'Australia/Brisbane';
  date_default_timezone_set($timezone);


  $order_timestamp = strtotime($order_date_norm);

  if (strpos($order_tags, 'FirstRecurringOrder') !== false) {
    //Get date of next delivery date
    if ($order_shipping_type == "Gold Coast (Monday)" || $order_shipping_type == "Brisbane (Monday)" || $order_shipping_type == "Toowoomba (Monday)"  || $order_shipping_type == "Local Pickup from Burleigh") {
      $cutoffDay = 'Tue';
      $cutoffDayFull = 'Tuesday';
      $deliveryDay = "Monday";
      $Difference = "6";

      $CurDatePlusDifference = $order_date;
      $CurDatePlusDifference = date('d-m-Y H:i:s', strtotime($CurDatePlusDifference . ' '. $timezone . ' + '.$Difference.' days'));

      if(date('D', $order_timestamp) === $cutoffDay){

        $dtA = new DateTime($CurDatePlusDifference);
        $dtA = $dtA->format('d-m-Y H:i:s T');

        $curDelivery_date = new DateTime($CurDatePlusDifference);
        $curDelivery_date = $curDelivery_date->format('d-m-Y');

        $dtB = new DateTime($curDelivery_date.' '.$cutTime);
        $dtB = $dtB->format('d-m-Y H:i:s T');

        if ( $dtA > $dtB ) {
          $curDate = $CurDatePlusDifference;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate->modify('next '.$cutoffDayFull);
          $cutOffDate = $cutOffDate->format('d-m-Y');


        }else{
          $curDate = $order_date;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }
      }else{



        $curDate = $CurDatePlusDifference;
        $date = new DateTime($curDate);
        $date->modify('next '.$deliveryDay);
        $new_delivery_date = $date->format('d-m-Y');

        $cutOffDate = new DateTime($order_date);
        $cutOffDate->modify('next '.$cutoffDayFull);
        $cutOffDate = $cutOffDate->format('d-m-Y');
      }

    }else if ($order_shipping_type == "South Coast (Tuesday)" || $order_shipping_type == "Canberra (Tuesday)" || $order_shipping_type == "Adelaide (Tuesday)" || $order_shipping_type == "Sunshine Coast (Tuesday)" || $order_shipping_type == "Bundaberg (Tuesday)" || $order_shipping_type == "Hervey Bay (Tuesday)") {
      $cutoffDay = 'Tue';
      $cutoffDayFull = 'Tuesday';
      $deliveryDay = "Tuesday";
      $Difference = "7";

      $CurDatePlusDifference = $order_date;
      $CurDatePlusDifference = date('d-m-Y H:i:s', strtotime($CurDatePlusDifference . ' '. $timezone . ' + '.$Difference.' days'));

      if(date('D', $order_timestamp) === $cutoffDay){

        $dtA = new DateTime($CurDatePlusDifference);
        $dtA = $dtA->format('d-m-Y H:i:s T');

        $curDelivery_date = new DateTime($CurDatePlusDifference);
        $curDelivery_date = $curDelivery_date->format('d-m-Y');

        $dtB = new DateTime($curDelivery_date.' '.$cutTime);
        $dtB = $dtB->format('d-m-Y H:i:s T');

        if ( $dtA > $dtB ) {
          $curDate = $CurDatePlusDifference;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate->modify('next '.$cutoffDayFull);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }else{
          $curDate = $order_date;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }
      }else{

        $curDate = $CurDatePlusDifference;
        $date = new DateTime($curDate);
        $date->modify('next '.$deliveryDay);
        $new_delivery_date = $date->format('d-m-Y');

        $cutOffDate = new DateTime($order_date);
        $cutOffDate->modify('next '.$cutoffDayFull);
        $cutOffDate = $cutOffDate->format('d-m-Y');

      }

    }else if ($order_shipping_type == "Mudgee (Wednesday)" || $order_shipping_type == "Forbes (Wednesday)" || $order_shipping_type == "Dubbo (Wednesday)" || $order_shipping_type == "Coffs Harbour (Wednesday)" || $order_shipping_type == "Singleton (Wednesday)" || $order_shipping_type == "Port Macquarie (Wednesday)" || $order_shipping_type == "Taree (Wednesday)" || $order_shipping_type == "Orange (Wednesday)" || $order_shipping_type == "Bathurst (Wednesday)" || $order_shipping_type == "Lithgow (Wednesday)" || $order_shipping_type == "Blue Mountains (Wednesday)" || $order_shipping_type == "Yass (Wednesday)" || $order_shipping_type == "Griffith (Wednesday)" || $order_shipping_type == "Canberra Regional (Wednesday)" || $order_shipping_type == "NSW North Coast (Wednesday)" || $order_shipping_type == "Jimboomba (Wednesday)") {
      $cutoffDay = 'Wed';
      $cutoffDayFull = 'Wednesday';
      $deliveryDay = "Wednesday";
      $Difference = "7";

      $CurDatePlusDifference = $order_date;
      $CurDatePlusDifference = date('d-m-Y H:i:s', strtotime($CurDatePlusDifference . ' '. $timezone . ' + '.$Difference.' days'));

      if(date('D', $order_timestamp) === $cutoffDay){

        $dtA = new DateTime($CurDatePlusDifference);
        $dtA = $dtA->format('d-m-Y H:i:s T');

        $curDelivery_date = new DateTime($CurDatePlusDifference);
        $curDelivery_date = $curDelivery_date->format('d-m-Y');

        $dtB = new DateTime($curDelivery_date.' '.$cutTime);
        $dtB = $dtB->format('d-m-Y H:i:s T');

        if ( $dtA > $dtB ) {
          $curDate = $CurDatePlusDifference;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate->modify('next '.$cutoffDayFull);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }else{
          $curDate = $order_date;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate = $cutOffDate->format('d-m-Y');
        }
      }else{

        $curDate = $CurDatePlusDifference;
        $date = new DateTime($curDate);
        $date->modify('next '.$deliveryDay);
        $new_delivery_date = $date->format('d-m-Y');

        $cutOffDate = new DateTime($order_date);
        $cutOffDate->modify('next '.$cutoffDayFull);
        $cutOffDate = $cutOffDate->format('d-m-Y');

      }

    }else if ($order_shipping_type == "Melbourne (Friday)" || $order_shipping_type == "Geelong (Friday)" || $order_shipping_type == "Mornington (Friday)") {
      $cutoffDay = 'Fri';
      $cutoffDayFull = 'Friday';
      $deliveryDay = "Friday";
      $Difference = "7";

      $CurDatePlusDifference = $order_date;
      $CurDatePlusDifference = date('d-m-Y H:i:s', strtotime($CurDatePlusDifference . ' '. $timezone . ' + '.$Difference.' days'));

      if(date('D', $order_timestamp) === $cutoffDay){

        $dtA = new DateTime($CurDatePlusDifference);
        $dtA = $dtA->format('d-m-Y H:i:s T');

        $curDelivery_date = new DateTime($CurDatePlusDifference);
        $curDelivery_date = $curDelivery_date->format('d-m-Y');

        $dtB = new DateTime($curDelivery_date.' '.$cutTime);
        $dtB = $dtB->format('d-m-Y H:i:s T');

        if ( $dtA > $dtB ) {
          $curDate = $CurDatePlusDifference;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate->modify('next '.$cutoffDayFull);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }else{
          $curDate = $order_date;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate = $cutOffDate->format('d-m-Y');
        }
      }else{

        $curDate = $CurDatePlusDifference;
        $date = new DateTime($curDate);
        $date->modify('next '.$deliveryDay);
        $new_delivery_date = $date->format('d-m-Y');

        $cutOffDate = new DateTime($order_date);
        $cutOffDate->modify('next '.$cutoffDayFull);
        $cutOffDate = $cutOffDate->format('d-m-Y');

      }

    }else if ($order_shipping_type == "Sydney Metro (Saturday)" || $order_shipping_type == "Sydney (Saturday)" || $order_shipping_type == "Sydney Regional (Saturday)" || $order_shipping_type == "Sydney Southwest (Saturday)" || $order_shipping_type == "Newcastle (Saturday)" || $order_shipping_type == "Woolongong (Saturday)" || $order_shipping_type == "Central Coast (Saturday)" || $order_shipping_type == "Southern Highlands (Saturday)" || $order_shipping_type == "Goulburn (Saturday)" || $order_shipping_type == "Newcastle Regional (Saturday)") {
      $cutoffDay = 'Sat';
      $cutoffDayFull = 'Saturday';

      $deliveryDay = "Saturday";
      $Difference = "7";

      $CurDatePlusDifference = $order_date;
      $CurDatePlusDifference = date('d-m-Y H:i:s', strtotime($CurDatePlusDifference . ' '. $timezone . ' + '.$Difference.' days'));

      if(date('D', $order_timestamp) === $cutoffDay){

        $dtA = new DateTime($CurDatePlusDifference);
        $dtA = $dtA->format('d-m-Y H:i:s T');

        $curDelivery_date = new DateTime($CurDatePlusDifference);
        $curDelivery_date = $curDelivery_date->format('d-m-Y');

        $dtB = new DateTime($curDelivery_date.' '.$cutTime);
        $dtB = $dtB->format('d-m-Y H:i:s T');

        if ( $dtA > $dtB ) {
          $curDate = $CurDatePlusDifference;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate->modify('next '.$cutoffDayFull);
          $cutOffDate = $cutOffDate->format('d-m-Y');

        }else{
          $curDate = $order_date;
          $date = new DateTime($curDate);
          $date->modify('next '.$deliveryDay);
          $new_delivery_date = $date->format('d-m-Y');

          $cutOffDate = new DateTime($order_date);
          $cutOffDate = $cutOffDate->format('d-m-Y');
        }
      }else{

        $curDate = $CurDatePlusDifference;
        $date = new DateTime($curDate);
        $date->modify('next '.$deliveryDay);
        $new_delivery_date = $date->format('d-m-Y');

        $cutOffDate = new DateTime($order_date);
        $cutOffDate->modify('next '.$cutoffDayFull);
        $cutOffDate = $cutOffDate->format('d-m-Y');

      }

    }



  }else{
    //Get date of next delivery date
    $next_delivery_day = "";

    if ($order_shipping_type == "Gold Coast (Monday)" || $order_shipping_type == "Brisbane (Monday)" || $order_shipping_type == "Toowoomba (Monday)" || $order_shipping_type == "Local Pickup from Burleigh") {
      $next_delivery_day = "Monday";
      $cutoffDayFull = 'Tuesday';
    }else if ($order_shipping_type == "Canberra (Tuesday)" || $order_shipping_type == "Adelaide (Tuesday)" ||  $order_shipping_type == "Sunshine Coast (Tuesday)" || $order_shipping_type == "Bundaberg (Tuesday)" || $order_shipping_type == "Hervey Bay (Tuesday)") {
      $next_delivery_day = "Tuesday";
      $cutoffDayFull = 'Tuesday';
    }else if ($order_shipping_type == "Mudgee (Wednesday)" || $order_shipping_type == "Forbes (Wednesday)" || $order_shipping_type == "Dubbo (Wednesday)" || $order_shipping_type == "Coffs Harbour (Wednesday)" || $order_shipping_type == "Singleton (Wednesday)" || $order_shipping_type == "Port Macquarie (Wednesday)" || $order_shipping_type == "Taree (Wednesday)" || $order_shipping_type == "Orange (Wednesday)" || $order_shipping_type == "Bathurst (Wednesday)" || $order_shipping_type == "Lithgow (Wednesday)" || $order_shipping_type == "Blue Mountains (Wednesday)" || $order_shipping_type == "Yass (Wednesday)" || $order_shipping_type == "Griffith (Wednesday)" || $order_shipping_type == "Canberra Regional (Wednesday)" || $order_shipping_type == "NSW North Coast (Wednesday)" || $order_shipping_type == "Jimboomba (Wednesday)") {
      $next_delivery_day = "Wednesday";
      $cutoffDayFull = 'Wednesday';
    }else if ($order_shipping_type == "Melbourne (Friday)" || $order_shipping_type == "Geelong (Friday)" || $order_shipping_type == "Mornington (Friday)") {
      $next_delivery_day = "Friday";
      $cutoffDayFull = 'Friday';
    }else if ($order_shipping_type == "Sydney Metro (Saturday)" || $order_shipping_type == "Sydney (Saturday)" || $order_shipping_type == "Sydney Regional (Saturday)" || $order_shipping_type == "Sydney Southwest (Saturday)" || $order_shipping_type == "Newcastle (Saturday)" || $order_shipping_type == "Woolongong (Saturday)" || $order_shipping_type == "Central Coast (Saturday)" || $order_shipping_type == "Southern Highlands (Saturday)" || $order_shipping_type == "Goulburn (Saturday)" || $order_shipping_type == "Newcastle Regional (Saturday)") {
      $next_delivery_day = "Saturday";
      $cutoffDayFull = 'Saturday';
    }

    $curDate = $order_date;
    $date = new DateTime($curDate);
    $date->modify('next '.$next_delivery_day);
    $new_delivery_date = $date->format('d-m-Y');

    if(date('l', $order_timestamp) == $cutoffDayFull){
      $cutOffDate = new DateTime($curDate);
      $cutOffDate = $cutOffDate->format('d-m-Y');
    }else{
      $cutOffDate = new DateTime($curDate);
      $cutOffDate->modify('last '.$cutoffDayFull);
      $cutOffDate = $cutOffDate->format('d-m-Y');
    }
  }

  $newTags2 = $newTags.", ".$new_delivery_date.", c-".$cutOffDate;

  $sqlQuery = "SELECT * FROM `orderNotes` WHERE customerID='$customerID'";
  $sql = mysqli_query($con,$sqlQuery);

  $row=mysqli_fetch_array($sql);

  $customerNotes = $row['notes'];

  echo$postJSON = '
  {
    "order": {
      "id": '.$order_id.',
      "tags": "'.$newTags2.'",
      "note": "'.$customerNotes.'",
      "metafields": [
        {
          "key": "delivery_date",
          "value": "'.$new_delivery_date.'",
          "value_type": "string",
          "namespace": "delivery_info"
        }
      ]
    }
  }
  ';

/*
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://".$STORE_URL.$orderUpdateURL,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => "$postJSON",
  CURLOPT_HTTPHEADER => array(
    "Authorization: Basic $AUTHORIZATION",
    "Content-Type: application/json",
),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
*/
sendEmail($order_Email,$order_number,$new_delivery_date,$order_status_url,$order_Name,$shipping_Type);



function sendEmail($toEmail,$orderID,$deliveryDate,$orderLink,$orderName,$shippingType){

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => "https://marketappz.com/order-delivery-date-app/sendEmail.php",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => "toEmail=$toEmail&orderID=$orderID&deliveryDate=$deliveryDate&orderLink=$orderLink&orderName=$orderName&shippingType=$shippingType",
    CURLOPT_HTTPHEADER => array(
      "Accept: */*",
      "Content-Type: application/x-www-form-urlencoded"
    ),
  ));

  $response = curl_exec($curl);
  $err = curl_error($curl);

  curl_close($curl);

  if ($err) {
    echo "cURL Error #:" . $err;
  } else {
    echo $response;
  }

}


 ?>
