<?php

  $API_KEY = 'db027fa8734de819aa9cad962b7db931';
  $PASSWORD = 'b2f78b44a6c2df378d343d74a2d59ad6';
  $STORE_URL = 'the-garden-of-vegan-au.myshopify.com';

  $AUTHORIZATION = base64_encode($API_KEY . ':' . $PASSWORD);

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => "https://".$STORE_URL."/admin/api/2019-04/orders.json?status=any&limit=250",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 360,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_POSTFIELDS => "",
    CURLOPT_HTTPHEADER => array(
      "Authorization: Basic $AUTHORIZATION",
      "Content-Type: application/json"

    ),
  ));

  $responseOrders = curl_exec($curl);
  echo$err = curl_error($curl);

  curl_close($curl);

  $orderData = json_decode($responseOrders, true);


  foreach ($orderData['orders'] as $post_data) {

    if ($post_data['cancelled_at'] == null) {


    $order_id = $post_data['id'];

    $getDeliveryURL = "/admin/orders/$order_id/metafields.json";

        $newTags = $post_data['tags'];

        $arrayTags = explode(",",$newTags);
        $hasDate = false;
        $deliveryDateCheck = "";
        foreach ($arrayTags as $value) {
          if (strpos($value, 'd-') !== false) {
            $hasDate = true;
            $deliveryDateCheck = str_replace("d-","",$value);
          }
        }

        if($hasDate == true){


          date_default_timezone_set("Australia/Brisbane");

          $current = strtotime(date("d-m-Y"));

          $date = strtotime($deliveryDateCheck);

          $datediff = $date - $current;

          $difference = floor($datediff/(60*60*24));


          if($difference == 1){
            echo 'Tomorrow';
            echo "<br>";
            //$email = "lachlan@marketingtogether.com.au";
            echo$email = $post_data['email'];

            $orderID = $post_data['name'];
            $deliveryDate = $deliveryDateCheck;
            $orderLink = $post_data['order_status_url'];
            $orderName = $post_data['customer']['first_name'];
            $shippingType = $post_data['shipping_lines'][0]['title'];
            sendEmail($email,$orderID,$deliveryDate,$orderLink,$orderName,$shippingType);
            //sendEmail("lachlan@marketingtogether.com.au",$orderID,$deliveryDate,$orderLink,$orderName,$shippingType);

          }
        }
      }
}



function sendEmail($toEmail,$orderID,$deliveryDate,$orderLink,$orderName,$shippingType){

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => "https://marketappz.com/order-delivery-date-app/sendEmailReminder.php",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => "toEmail=$toEmail&orderID=$orderID&deliveryDate=$deliveryDate&orderLink=$orderLink&orderName=$orderName&shippingType=$shippingType",
    CURLOPT_HTTPHEADER => array(
      "Accept: */*",
      "Content-Type: application/x-www-form-urlencoded"
    ),
  ));

  $response = curl_exec($curl);
  $err = curl_error($curl);

  curl_close($curl);

  if ($err) {
    echo "cURL Error #:" . $err;
  } else {
    echo $response;
  }

}


 ?>
